# XQilla Simple API Documentation

# BoolResult Struct Reference

`#include <ATBooleanOrDerived.hpp>`

List of all members.

## Public Member Functions

| BoolResult (bool b)
| operator bool () const
bool | operator== (BoolResult o) const
bool | operator!= (BoolResult o) const

## Static Public Attributes

static const BoolResult | True
static const BoolResult | False
static const BoolResult | Null

## Constructor & Destructor Documentation

BoolResult::BoolResult | ( | bool | b | ) | `[inline]`

## Member Function Documentation

BoolResult::operator bool | ( |  | ) | const`[inline]`

bool BoolResult::operator!= | ( | BoolResult | o | ) | const`[inline]`

bool BoolResult::operator== | ( | BoolResult | o | ) | const`[inline]`

## Member Data Documentation

const BoolResult BoolResult::False `[static]`

const BoolResult BoolResult::Null `[static]`

const BoolResult BoolResult::True `[static]`

The documentation for this struct was generated from the following file:

- ATBooleanOrDerived.hpp